#!/bin/sh

COUNTER=0
num=5

#########################
# The command line help #
#########################

display_help() {
        echo "Usage: $0 <SPI_flash_image_file>" >&2
        echo
        exit 1
}

# Check if image file is defined
if [ -z "$1" ]
then
	echo "### No Output file defined ###"
	echo
	display_help
fi

#insert module for mtd
sleep 0.1
echo "spi1.0" > /sys/module/spi_nor/parameters/rescan
sleep 0.1
num=`cat /proc/mtd |grep "Aspen" | sed 's/:.*//' | sed "s/[^0-9]//g" | sed "s/[^0-9]//g"`

while [  ! -e /dev/mtd$num ] && [ $COUNTER -lt 10 ]; do
        #echo The counter is $COUNTER
        #ls -la /dev/mtd*
        sleep 1
        let COUNTER=COUNTER+1
done

if [ -e /dev/mtd$num ]
then
#	cat /proc/mtd
	#echo "Reading Flash `cat  /sys/module/it_fpga/parameters/cpu_to_spiFlash_connect` contents -> file '$1'"
        dd if=/dev/mtd$num of=$1 bs=1 skip=0 count=33
	echo "spi1.0" > /sys/module/spi_nor/parameters/remove
	#echo "DONE"
else
	echo "#### ERROR - Reading not started ####"
fi




