#!/bin/sh

echo "!!! Hardware Flow Control MUST BE set to No!!! - procedure: Ctrl-A O, Serial Port Setup, F (Hardware Flow Control: No)"


PS3='Please enter sub option: '
options=("aspen 1" "aspen 2")
  select opt in "${options[@]}"
  do
      case $opt in
          "aspen 1")
              echo "################## BCM ASPEN CONSOLE - CHIP 1 ################"
              kill -9 $(ps -ef|grep "cat /dev/ttyAMA3"|gawk '$0 !~/grep/ {print $2}' |tr -s '\n' ' ')
              minicom -b 115200 -8 -D /dev/ttyAMA3
              while [[ $(ps -ef|grep "minicom -b 115200 -8 -D /dev/ttyAMA3"|gawk '$0 !~/grep/ {print $2}' |tr -s '\n' ' ') -gt 0 ]];do
                sleep 1;
              done;
              cat /dev/ttyAMA3 >> /var/log/aspen_console_ama3.log &
              exit
              ;;
          "aspen 2")
              echo "################## BCM ASPEN CONSOLE - CHIP 2 ################"
              kill -9 $(ps -ef|grep "cat /dev/ttyAMA4"|gawk '$0 !~/grep/ {print $2}' |tr -s '\n' ' ')
              minicom -b 115200 -8 -D /dev/ttyAMA4
              while [[ $(ps -ef|grep "minicom -b 115200 -8 -D /dev/ttyAMA4"|gawk '$0 !~/grep/ {print $2}' |tr -s '\n' ' ') -gt 0 ]];do
                sleep 1;
              done;
              cat /dev/ttyAMA4 >> /var/log/aspen_console_ama4.log &
              exit
              ;;
          *) echo "invalid option $REPLY";;
      esac
  done
}
