#!/bin/sh

#########################
# The command line help #
#########################
display_help() {
    echo "Usage: $0 <Aspen number 1-2>" >&2
    echo
    exit 1
}

case $1 in
    1 | 2)
	#echo " Configure Networking for Aspen $1"
	./.Maple$1_config_net.sh
	#echo " Connect Aspen Controllers to their SPI Flash chips"
	echo 0 > /sys/module/it_fpga/parameters/cpu_to_spiFlash_connect
	#./.display_fpga_Maple_status.sh
	sleep 0.1
	# reset & release reset SPI FLash $1
	#echo " Set SPI Flash $1 in read mode by short reset pulse"
	echo 1 > /sys/module/it_fpga/parameters/spiFlash$1_Reset
	sleep 0.1
	echo 0 > /sys/module/it_fpga/parameters/spiFlash$1_Reset
	sleep 0.1
	# Release Reset signal for Maple $1
	#echo "Release Reset signal for Maple $1"
	./.Maple$1_run.sh
	#./.display_fpga_Maple_status.sh
	sleep 0.1
    ;;
    *)
	display_help
    ;;
esac



